# Get Certificate Details - GetCertificateDetailInfo

## Overview

Get details of purchased certificates or hosted certificates






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetCertificateDetailInfo`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.sigcalcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **CertificateID** | int | Certificate Number |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **CertificateInfo** | [*CertificateInfo*](#certificateinfo) | Certificate Information |**Yes**|
| **ApplicantInfo** | [*ApplicantInfo*](#applicantinfo) | Applicant information, this information is only available for purchased certificates |No|
| **CompanyInfo** | [*CompanyInfo*](#companyinfo) | Company information, only available when the certificate is purchased |No|
| **OrderInfo** | array[[*OrderInfo*](#orderinfo)] | Order information, only available when the certificate is purchased. |No|

#### Data Model


#### CertificateInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Type** | string | Certificate Type |**Yes**|
| **CertificateID** | int | Certificate ID |**Yes**|
| **CertificateType** | string | Certificate Type |**Yes**|
| **CaOrganization** | string | Certificate Authority |**Yes**|
| **Algorithm** | string | Certificate Signing Algorithm |**Yes**|
| **ValidityPeriod** | int | Fixed term of several years |**Yes**|
| **State** | string | Certificate Status |**Yes**|
| **StateCode** | string |  |**Yes**|
| **Name** | string | Certificate Name |**Yes**|
| **Brand** | string | Certificate Brand |**Yes**|
| **Domains** | string | Bind Domain |**Yes**|
| **DomainsCount** | int | Number of Domains |**Yes**|
| **Mode** | string | Certificate Type (Purchase, Trust, Free) |**Yes**|
| **CSROnline** | int | Generate CSR online? |**Yes**|
| **CSR** | string |  |**Yes**|
| **CSRKeyParameter** | string | Generate CSR parameters online |**Yes**|
| **CSREncryptAlgo** | string | Online generation of CSR algorithm |**Yes**|
| **IssuedDate** | int | Release Timestamp (seconds) |**Yes**|
| **ExpiredDate** | int | Expiration timestamp (seconds) |**Yes**|

#### ApplicantInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Name** | string | Applicant Name |**Yes**|
| **Phone** | string | Applicant's Phone |**Yes**|
| **Email** | string | Applicant's Email |**Yes**|

#### CompanyInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Name** | string | Company Name |**Yes**|
| **Division** | string | Department |**Yes**|
| **Phone** | string | Telephone |**Yes**|
| **Address** | string | Contact Address |**Yes**|
| **City** | string | Province/City |**Yes**|
| **PostalCode** | string | Postal Code |**Yes**|

#### OrderInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ResourceID** | string | Resource ID |**Yes**|
| **DomainsCount** | int | Number of Domains |**Yes**|
| **PurchaseTime** | int | Purchase Time |**Yes**|

## Example

### Request Example
    
```
https://api.sigcalcloud.com/?Action=GetCertificateDetailInfo
&CertificateMode=purchase
&CertificateID=7
```

### Response Example
    
```json
{
  "Action": "GetCertificateDetailInfoResponse",
  "ApplicantInfo": [
    "LrzNadXe",
    "BQJRVJxy",
    "ClffevkI",
    "ZwjaZITz",
    "oYagollE",
    "JIElzmgO"
  ],
  "CertificateInfo": [
    "TdmUzaEH",
    "zUQjWBQr",
    "NxjVlyUz",
    "iDFxLWwR",
    "agdrDiDq",
    "ULgIbciT",
    "OBrRuztS",
    "ztPyBlnr"
  ],
  "CompanyInfo": "WsUvPcYh",
  "OrderInfo": [
    "kbrFPjha",
    "fzakPjID",
    "AznNhMdG",
    "LQtKEHdw",
    "FjPEnuyL",
    "AcfKpFit",
    "eevTUVBD"
  ],
  "RetCode": 0
}
```





